petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMShellGetCreateSubDM

Get the routine used to create a sub DM from the shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetCreateSubDM(DM dm, PetscErrorCode (**subdm)(DM,PetscInt,const PetscInt[],IS*,DM*))

Logically Collective on dm

### Input Argument

| dm | - the shell DM

### Output Argument

| subdm | - the routine to create the decomposition

### See Also

DMCreateSubDM(), DMShellSetCreateSubDM(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages